Bug 987964 - [abrt] kicad-2013.06.11-1.rev4021.fc19: wxGetTopLevelParent: Process /usr/bin/eeschema was killed by signal 11 (SIGSEGV) [NEEDINFO]
[abrt] kicad-2013.06.11-1.rev4021.fc19: wxGetTopLevelParent: Process /usr/bin...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kicad (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaromír Cápík
Fedora Extras Quality Assurance
abrt_hash:6aed79abf12035450be1da284f1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 09:26 EDT by Ashwin
Modified: 2016-01-31 20:58 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-17 11:40:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
alain.portal: needinfo? (ashwin.boddeti)


Attachments (Terms of Use)
File: backtrace (56.69 KB, text/plain)
2013-07-24 09:26 EDT, Ashwin
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-24 09:27 EDT, Ashwin
no flags Details
File: core_backtrace (5.46 KB, text/plain)
2013-07-24 09:27 EDT, Ashwin
no flags Details
File: dso_list (7.95 KB, text/plain)
2013-07-24 09:27 EDT, Ashwin
no flags Details
File: environ (1.91 KB, text/plain)
2013-07-24 09:27 EDT, Ashwin
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-24 09:27 EDT, Ashwin
no flags Details
File: maps (47.51 KB, text/plain)
2013-07-24 09:27 EDT, Ashwin
no flags Details
File: open_fds (1.49 KB, text/plain)
2013-07-24 09:27 EDT, Ashwin
no flags Details
File: proc_pid_status (932 bytes, text/plain)
2013-07-24 09:27 EDT, Ashwin
no flags Details
File: var_log_messages (442 bytes, text/plain)
2013-07-24 09:27 EDT, Ashwin
no flags Details
File: xsession_errors (1.95 KB, text/plain)
2013-07-24 09:27 EDT, Ashwin
no flags Details

  None (edit)
Description Ashwin 2013-07-24 09:26:53 EDT
Version-Release number of selected component:
kicad-2013.06.11-1.rev4021.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/bin/eeschema
crash_function: wxGetTopLevelParent
executable:     /usr/bin/eeschema
kernel:         3.9.9-302.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 wxGetTopLevelParent at src/common/wincmn.cpp:2808
 #1 wxMessageDialog::wxMessageDialog at src/gtk/msgdlg.cpp:41
 #2 DisplayError at /usr/src/debug/kicad-2013.06.11/common/confirm.cpp:47
 #3 ExecuteFile at /usr/src/debug/kicad-2013.06.11/common/gestfich.cpp:448
 #4 DIALOG_ERC::TestErc at /usr/src/debug/kicad-2013.06.11/eeschema/dialogs/dialog_erc.cpp:563
 #5 DIALOG_ERC::OnErcCmpClick at /usr/src/debug/kicad-2013.06.11/eeschema/dialogs/dialog_erc.cpp:147
 #6 wxEvtHandler::ProcessEventIfMatches at src/common/event.cpp:1239
 #7 wxEventHashTable::HandleEvent at src/common/event.cpp:906
 #8 wxEvtHandler::ProcessEvent at src/common/event.cpp:1301
 #9 wxWindowBase::TryParent at src/common/wincmn.cpp:2661
Comment 1 Ashwin 2013-07-24 09:26:57 EDT
Created attachment 777780 [details]
File: backtrace
Comment 2 Ashwin 2013-07-24 09:27:02 EDT
Created attachment 777781 [details]
File: cgroup
Comment 3 Ashwin 2013-07-24 09:27:06 EDT
Created attachment 777782 [details]
File: core_backtrace
Comment 4 Ashwin 2013-07-24 09:27:09 EDT
Created attachment 777783 [details]
File: dso_list
Comment 5 Ashwin 2013-07-24 09:27:13 EDT
Created attachment 777784 [details]
File: environ
Comment 6 Ashwin 2013-07-24 09:27:18 EDT
Created attachment 777785 [details]
File: limits
Comment 7 Ashwin 2013-07-24 09:27:21 EDT
Created attachment 777786 [details]
File: maps
Comment 8 Ashwin 2013-07-24 09:27:24 EDT
Created attachment 777787 [details]
File: open_fds
Comment 9 Ashwin 2013-07-24 09:27:27 EDT
Created attachment 777788 [details]
File: proc_pid_status
Comment 10 Ashwin 2013-07-24 09:27:31 EDT
Created attachment 777789 [details]
File: var_log_messages
Comment 11 Ashwin 2013-07-24 09:27:34 EDT
Created attachment 777790 [details]
File: xsession_errors
Comment 12 Alain Portal 2013-07-27 05:47:42 EDT
A bug reprot without steps to reproduce the bug is useless for me.
Please, explain what to do to reproduce the bug.
Comment 13 Fedora Admin XMLRPC Client 2014-03-04 14:00:28 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.